Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.hash
Interface IMessageDigest

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  BaseHash

public interface IMessageDigest
extends java.lang.Cloneable

The basic visible methods of any hash algorithm.

A hash (or message digest) algorithm produces its output by iterating a basic compression function on blocks of data.

Version:
  $Revision: 1.8 $

Method Summary
`int` | `blockSize()` Returns the algorithm's (inner) block size in bytes.
`java.lang.Object` | `clone()` Returns a clone copy of this instance.
`byte[]` | `digest()` Completes the message digest by performing final operations such as padding and resetting the instance.
`int` | `hashSize()` Returns the output length in bytes of this message digest algorithm.
`java.lang.String` | `name()` Returns the canonical name of this algorithm.
`void` | `reset()` Resets the current context of this instance clearing any eventually cached intermediary values.
`boolean` | `selfTest()` A basic test.
`void` | `update(byte b)` Continues a message digest operation using the input byte.
`void` | `update(byte[] in, int offset, int length)` Continues a message digest operation, by filling the buffer, processing data in the algorithm's HASH_SIZE-bit block(s), updating the context and count, and buffering the remaining bytes in buffer for the next operation.

Method Detail

### name

    public java.lang.String name()

  Returns the canonical name of this algorithm.

  Returns:
    the canonical name of this instance.

### hashSize

    public int hashSize()

  Returns the output length in bytes of this message digest algorithm.

  Returns:
    the output length in bytes of this message digest algorithm.

### blockSize

    public int blockSize()

  Returns the algorithm's (inner) block size in bytes.

  Returns:
    the algorithm's inner block size in bytes.

### update

    public void update(byte b)

  Continues a message digest operation using the input byte.

  Parameters:
    `b` - the input byte to digest.

### update

    public void update(byte[] in,
                       int offset,
                       int length)

  Continues a message digest operation, by filling the buffer, processing data in the algorithm's HASH_SIZE-bit block(s), updating the context and count, and buffering the remaining bytes in buffer for the next operation.

  Parameters:
    `in` - the input block.
    `offset` - start of meaningful bytes in input block.
    `length` - number of bytes, in input block, to consider.

### digest

    public byte[] digest()

  Completes the message digest by performing final operations such as padding and resetting the instance.

  Returns:
    the array of bytes representing the hash value.

### reset

    public void reset()

  Resets the current context of this instance clearing any eventually cached intermediary values.

### selfTest

    public boolean selfTest()

  A basic test. Ensures that the digest of a pre-determined message is equal to a known pre-computed value.

  Returns:
    `true` if the implementation passes a basic self-test. Returns `false` otherwise.

### clone

    public java.lang.Object clone()

  Returns a clone copy of this instance.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone copy of this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.